cURL
curl -X GET https://api.metrifox.com/api/v1/product_catalogues/promotional-entitlements/625f5cee-259b-4994-b7eb-416b9e551f2c \
-H "x-api-key: your_api_key"import requests
url = "https://{defaultHost}/api/v1/product_catalogues/promotional-entitlements/{id}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://{defaultHost}/api/v1/product_catalogues/promotional-entitlements/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"statusCode": 200,
"message": "Promotional entitlement fetched",
"meta": {},
"data": {
"id": "625f5cee-259b-4994-b7eb-416b9e551f2c",
"name": "Summer Campaign Boost",
"description": "Extra API calls for the summer promotion",
"mode": "additive",
"included_allowance": 1000,
"included_allowance_reset_interval": "monthly",
"included_allowance_reset_anchor": null,
"starts_at": "2026-06-01T00:00:00Z",
"expires_at": "2026-09-01T00:00:00Z",
"duration_value": 3,
"duration_unit": "month",
"status": "active",
"is_applied": true,
"feature_id": "9c1f1d2e-0000-0000-0000-000000000010",
"feature_name": "API Calls",
"feature_type": "metered",
"created_at": "2026-05-20T10:00:00Z",
"updated_at": "2026-05-20T10:00:00Z"
},
"errors": {}
}{
"message": "<string>",
"errors": {}
}{
"message": "<string>",
"errors": {}
}Promotional Entitlements
Get promotional entitlement
Retrieve a single promotional entitlement by id
GET
/
api
/
v1
/
product_catalogues
/
promotional-entitlements
/
{id}
cURL
curl -X GET https://api.metrifox.com/api/v1/product_catalogues/promotional-entitlements/625f5cee-259b-4994-b7eb-416b9e551f2c \
-H "x-api-key: your_api_key"import requests
url = "https://{defaultHost}/api/v1/product_catalogues/promotional-entitlements/{id}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://{defaultHost}/api/v1/product_catalogues/promotional-entitlements/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"statusCode": 200,
"message": "Promotional entitlement fetched",
"meta": {},
"data": {
"id": "625f5cee-259b-4994-b7eb-416b9e551f2c",
"name": "Summer Campaign Boost",
"description": "Extra API calls for the summer promotion",
"mode": "additive",
"included_allowance": 1000,
"included_allowance_reset_interval": "monthly",
"included_allowance_reset_anchor": null,
"starts_at": "2026-06-01T00:00:00Z",
"expires_at": "2026-09-01T00:00:00Z",
"duration_value": 3,
"duration_unit": "month",
"status": "active",
"is_applied": true,
"feature_id": "9c1f1d2e-0000-0000-0000-000000000010",
"feature_name": "API Calls",
"feature_type": "metered",
"created_at": "2026-05-20T10:00:00Z",
"updated_at": "2026-05-20T10:00:00Z"
},
"errors": {}
}{
"message": "<string>",
"errors": {}
}{
"message": "<string>",
"errors": {}
}Authorizations
Path Parameters
The unique identifier of the promotional entitlement
⌘I

